cURL
curl --request POST \
--url https://aodocs.altirnao.com/api/search/v1/libraries/{libraryId}/search/drive \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"filters": [
{
"column": "<string>",
"kind": "<string>",
"value": "<string>"
}
],
"kind": "<string>"
}
'import requests
url = "https://aodocs.altirnao.com/api/search/v1/libraries/{libraryId}/search/drive"
payload = {
"filters": [
{
"column": "<string>",
"kind": "<string>",
"value": "<string>"
}
],
"kind": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
filters: [{column: '<string>', kind: '<string>', value: '<string>'}],
kind: '<string>'
})
};
fetch('https://aodocs.altirnao.com/api/search/v1/libraries/{libraryId}/search/drive', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"jobId": "<string>",
"kind": "<string>"
}search
Post searchv1libraries searchdrive
Starts to cache search results asynchronously in a job. Returns the jobId.
POST
/
search
/
v1
/
libraries
/
{libraryId}
/
search
/
drive
cURL
Authorizations
google_id_token-a99f12e0google_id_token_legacy-a99f12e0
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The ID of the library
Query Parameters
The ID of the document class
The ID of the view
The text searched to filter documents
The type of documents to find: 'DRAFT_ONLY' to get draft versions only (if access to it), 'PUBLISHED' to get main versions only (if access to it), 'ALL' for both (the draft version if access to it else the main version). The last mode is the default one.
Available options:
PUBLISHED, DRAFT_ONLY, ALL The security code
The G Suite domain
Body
application/json
List of filters to apply to the search.
⌘I